org.apache.calcite.avatica.util

## Class AbstractCursor.ApproximateNumericAccessor

- java.lang.Object
- - org.apache.calcite.avatica.util.AbstractCursor.AccessorImpl
  - - org.apache.calcite.avatica.util.AbstractCursor.ApproximateNumericAccessor

All Implemented Interfaces:
  Cursor.Accessor

Direct Known Subclasses:
  AbstractCursor.DoubleAccessor, AbstractCursor.FloatAccessor

Enclosing class:
  AbstractCursor

    private abstract static class AbstractCursor.ApproximateNumericAccessor
    extends AbstractCursor.AccessorImpl

Accessor of values that are `Double` or null.

### Field Summary

### Fields inherited from class org.apache.calcite.avatica.util.AbstractCursor.AccessorImpl

`getter`

### Constructor Summary

Constructors
Constructor and Description
`AbstractCursor.ApproximateNumericAccessor(AbstractCursor.Getter getter)`

### Method Summary

Methods
`BigDecimal` `getBigDecimal()`
`BigDecimal` `getBigDecimal(int scale)`
`abstract double` `getDouble()`
`long` `getLong()`

### Methods inherited from class org.apache.calcite.avatica.util.AbstractCursor.AccessorImpl

`getArray, getAsciiStream, getBinaryStream, getBlob, getBoolean, getByte, getBytes, getCharacterStream, getClob, getDate, getFloat, getInt, getNCharacterStream, getNClob, getNString, getObject, getObject, getObject, getRef, getShort, getSQLXML, getString, getStruct, getTime, getTimestamp, getUnicodeStream, getURL, wasNull`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AbstractCursor.ApproximateNumericAccessor

    public AbstractCursor.ApproximateNumericAccessor(AbstractCursor.Getter getter)

### Method Detail

#### getBigDecimal

    public BigDecimal getBigDecimal(int scale)
                             throws SQLException

Specified by:
  `getBigDecimal` in interface `Cursor.Accessor`
Overrides:
  `getBigDecimal` in class `AbstractCursor.AccessorImpl`
Throws:
  `SQLException`

#### getBigDecimal

    public BigDecimal getBigDecimal()
                             throws SQLException

Specified by:
  `getBigDecimal` in interface `Cursor.Accessor`
Overrides:
  `getBigDecimal` in class `AbstractCursor.AccessorImpl`
Throws:
  `SQLException`

#### getDouble

    public abstract double getDouble()
                              throws SQLException

Specified by:
  `getDouble` in interface `Cursor.Accessor`
Overrides:
  `getDouble` in class `AbstractCursor.AccessorImpl`
Throws:
  `SQLException`

#### getLong

    public long getLong()
                 throws SQLException

Specified by:
  `getLong` in interface `Cursor.Accessor`
Overrides:
  `getLong` in class `AbstractCursor.AccessorImpl`
Throws:
  `SQLException`